IMFI Bugs - Bug #1778

[ESS-LEAVE] Validasi pengajuan cuti minimal 3 hari setelah today diimplementasikan ke taskid
revise creator

10/31/2022 03:27 PM - Muhammad Bintar

Status: Developing Start date: 10/31/2022
Priority: Immediate Due date: 11/08/2022
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear tim developer,

mohon support nya untuk validasi dimana pengajuan cuti minimal 3 hari setelah today sudah berjalan pada saat di task id create,
namun minta di implementasikan juga ke taskid revise creator(pada saat employee melakukan revisi tanggal pengajuan tetap ada
validasi minimal 3 hari).
History

#1 - 10/31/2022 04:24 PM - Kezia Pawitra Yulianti
- Due date changed from 11/07/2022 to 11/02/2022
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

#2 - 11/07/2022 11:19 AM - Kezia Pawitra Yulianti
- Due date changed from 11/02/2022 to 11/08/2022

- Assignee changed from Saswanto Tampan to M Azid Wahyudi

#3 - 11/07/2022 03:59 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
package :
update dev_object :

name

(controller.wf.leave.leave) {

- code_dev
- code_prod

}

#4 - 11/14/2022 11:58 AM - Mohammad Daud
- File clipboard-202211141158-j9u3m.png added

- Status changed from QA Test to Developing

Dear Azid.. tambahan validasi sesuai ketentuan dari Jennifer ya.. kecuali untuk Revise validasi di abaikan saja;

PT IND@MOEBIL FINANCE INDONESIA
CUTI TAHUNAN & CUTI KHUSUS

Type

Validasi Pengajuan

Keterangan

Cuti Tahunan f Pribadi

H-3 sebelum tanggal cuti

1 |a Annual leave < 5 tahun "
dimaksud
b, Annual leave = 5 tahun
Cuti Khusus
& Pernikahan karyawan H-3 sebelum tanggal cuti |52 ot vang disjukan direvisi oleh
b, Pernikahan anak sah karyawan dimaksud atasan, maka karyawan melakukan
c. Istri sah karyawan melahirkan / keguguran Mo validasi revisi (perubahan) tanggal cuti maks,
3 d. Anggota keluarga (suami fistri / orang tua / mertua / anak karyawan sah) meninggal dunia _ |Mon validasi H+3 satelah cuti direvisi oleh atassn
e. hengkhitankan / membaptiskan anak H.-g oL EEL S
dimaksud
f. Anggota keluarga yang tinggal serumah dengan karyawan dalam 1 rumah meninggal dunia Mon validasi
g Mendapat musibah (kebakaran / kebanjiran / dil) Non validasi
h. Cuti ibadah haji ton validasi
3 |Cuti Massal Mon validasi Tidak bisa diajukan via ESS Minova
Files
clipboard-202210311526-1efig.png 115 KB 10/31/2022 Muhammad Bintar
clipboard-202211141158-j9u3m.png 146 KB 11/14/2022 Mohammad Daud
